Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608080 - [abrt] crash in firefox-3.5.10-1.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.10-1.fc12: Process /usr/lib/firefox-3.5/firefox w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:f97d1f1a6de1115aff30cde8bac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 11:41 EDT by eblix08
Modified: 2010-12-03 08:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.21 KB, text/plain)
2010-06-25 11:41 EDT, eblix08
no flags Details

  None (edit)
Description eblix08 2010-06-25 11:41:38 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.5/firefox
global_uuid: f97d1f1a6de1115aff30cde8bac17e21e9a373a1
kernel: 2.6.32.14-127.fc12.i686.PAE
package: firefox-3.5.10-1.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
I have seen this many times over the past couple of years but I can not reproduce it on command.  It always appears to coninside with using ctrl+c to copy something from a web page.

I am using glipper clipboard manager.
Comment 1 eblix08 2010-06-25 11:41:40 EDT
Created attachment 426916 [details]
File: backtrace
Comment 2 d. johnson 2010-09-17 14:11:47 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


#3  <signal handler called>
No symbol table info available.
#4  _destroyJSDObject (jsdc=0xb754b7a0, jsdobj=0x8266b900) at jsd_obj.c:101
No locals.
#5  0x051766f8 in jsd_ObjectHook (cx=0xb4ddd400, obj=0xac918f00, isNew=0, 
    closure=0xb754b7a0) at jsd_obj.c:180
        jsdobj = 0x8266b900
        jsdc = 0xb754b7a0
#6  0x032e9d04 in js_FinalizeObject (cx=0xb4ddd400, obj=0xac918f00)
    at jsobj.cpp:3413
No locals.
#7  0x032ce3e9 in js_GC (cx=0xb4ddd400, gckind=<value optimized out>)
    at jsgc.cpp:3585
        keepAtoms = 0
        i = <value optimized out>
        trc = {context = 0xb4ddd400, callback = 0}
        a = 0xac918ff0
        emptyArenas = 0xaa253ff0
        arenaList = 0x4f0f1b90
        allClear = 1
        callback = <value optimized out>
        thing = 0xac918f00
        requestDebit = <value optimized out>
        rt = 0xb7168000
        type = <value optimized out>
        thingSize = 32
        flags = <value optimized out>
        freeList = 0xac918f20
        ap = 0xac928ff4
        flagp = 0xac918f77 " "
#8  0x032a7ae2 in JS_GC (cx=0xb4ddd400) at jsapi.cpp:2459
No locals.
#9  0x04a4d18b in nsXPConnect::Collect (this=0xb753be40)
    at nsXPConnect.cpp:477
        cycleCollectionContext = {<nsAXPCNativeCallContext> = {
            _vptr.nsAXPCNativeCallContext = 0x5a55058}, mState = 
    HAVE_CONTEXT, mXPC = 0xb753be40, mThreadData = 0xb75fd430, mXPCContext = 
    0xb4ba8e50, mJSContext = 0xb4ddd400, mContextPopRequired = 1, 
          mDestroyJSContextInDestructor = 0, mCallerLanguage = LANG_NATIVE, 
          mPrevCallerLanguage = LANG_UNKNOWN, mPrevCallContext = 0x0, 
          mOperandJSObject = 0x536ecda, mCurrentJSObject = 0x52c1f74, 
          mFlattenedJSObject = 0x7f, mWrapper = 0xf519f85a, mTearOff = 0x47, 
          mScriptableInfo = 0x17, mSet = 0xb75fd82c, mInterface = 0xf519f85a, 
          mMember = 0xbfc48978, mName = 86706552, mStaticMemberIsLocal = 0, 
          mArgc = 87485658, mArgv = 0x52c15fe, mRetVal = 0x5b11724, 
          mReturnValueWasSet = 88332312, mMethodIndex = 0, mCallee = 0x0, 
          mStringWrapperData = 
    "\332\354\066\005\030\330C\005\000\000\000\000\000\000\000\000\027\032,\005\343\324\257\000\004\000\000\000\000\000\000"}
        cx = 0xb4ddd400
#10 0x052f3f5c in nsCycleCollector::Collect (this=0xb750e000, aTryCollections=




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2010-11-03 08:51:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:41:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.